*,
::before,
::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html,
body {
    height: 100%;
}

body {
    font-family: 'Open sans', sans-serif;
    background: #ffffff;
    display: flex;
    flex-direction: column;
}

.banniere {
  width: 100%;
  background: #1f4fa3;
}

.page {
    width: 90%;
    margin: 0 auto;
    padding: 5em 5% 1% 5%;
    text-align: justify;
    flex-grow: 1;
}

.page a {
    color: #042556e6;
}

.page a:hover {
    background: #042556e6;
    color: #f4f4f4;
    text-decoration: none;
}

.page h1 {
    font-family: 'Open sans', Arial, sans-serif;
    text-transform: uppercase;
    margin-top: 20px;
    font-weight: 800;
    line-height: 35px;
    text-align: center;
}

.page h2.spip {
    font-family: 'Open sans', Arial, sans-serif;
    font-size: 1.45em;
    color: #0a0c10;
    margin-bottom: 15px;
    text-transform: none;
    letter-spacing: -1px;
    text-align: left;
    font-weight: 400;
}

.page ul li {
    list-style: none;
}

.page p {
    text-align: left;
    margin-bottom: 18px;
    hyphens: auto;
}

.page hr.spip {
    color: rgba(0, 0, 0, 0.6);
    margin: 40px 40px 0 40px;
}

span h2{
  color: white;
  margin-top: 13px;
}

img.spip_logo {
    margin-left: 0;
}

/* Iframe Youtube */
iframe {
    display: block;
    margin: 0 auto 25px auto;
    /* width: 100%; */
    height: auto;
    aspect-ratio: 16/9;
}

ol.spip,
ul.spip {
    margin-top: -15px;
    margin-bottom: 15px;
}

ol.spip li,
ul.spip li {
    line-height: 30px;
    text-align: left;
}

ul.spip li {
    list-style-type: disc;
}

.chapo p {
    margin-top: 25px;
    font-size: 17px;
    letter-spacing: -0.4px;
    font-weight: 600;
    text-align: left;
}


p,
li {
    font-family: 'Merriweather', Arial, sans-serif;
    font-size: 16px;
    line-height: 23px;
    color: #272d38;
    font-weight: 300;
}

strong {
    font-weight: 600;
}

ul,
li {
    margin-left: 5px;
}

.spip_doc_legende {
    font-family: 'Merriweather', Arial, sans-serif;
    text-align: center;
    font-size: 11px;
}

nav {
    position: fixed;
    width: 100%;
    display: flex;
    align-items: center;
    padding: 15px 25px;
    background: #272b34;
    z-index: 100 !important;
    /* z-index: 9999 !important; */
}

.nav-icon {
    display: flex;
    align-items: center;
    text-decoration: none;
    margin-right: 20px;
}

.nav-icon span {
    font-family: 'Open sans', sans-serif;
    font-size: 13px;
    margin-left: 10px;
    margin-top: -13px;
    font-weight: 400;
    color: #333333;
}

.nav-icon img {
    font-size: 12px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-top: 9px;
}

.hamburger {
    display: none;
}

.navlinks-container a {
    margin: 0 10px;
    font-size: 16px;
    font-weight: 500;
    text-decoration: none;
    color: #fff !important;
    display: inline-block;
    position: relative;
}

.navlinks-container a::after {
    content: "";
    display: block;
    position: absolute;
    bottom: -3px;
    width: 100%;
    height: 1px;
    transform: scaleX(0);
    transform-origin: left;
    background: #ffffff;
    transition: transform 0.3s ease-out;
}

.navlinks-container a:hover::after {
    transform: scaleX(1);
}

.nav-authentication {
    margin-left: auto;
}

.sign-btns button {
    font-family: 'Open sans', sans-serif;
    font-size: 14px;
    min-width: 90px;
    padding: 3px 5px;
    margin: 0 5px;
    border-radius: 5px;
    cursor: pointer;
    border: none;
}

.sign-btns button:nth-child(2) {
    background: #92c3eeb7;
}

.sign-user {
    display: none;
}

/* Modele audio */
.modele-audio{
  margin: 0 auto; 
}
audio {
    display: block;
    margin: 0 auto;
    border-radius: 50px;
    background-color: #000000;
}
p.audio-titre{
  text-align: center;
  font-size: 12px;
}

/* Modele yt-head */
.art-head {
    background-color: #f7fafb;
    border-bottom: 2px solid rgba(51, 51, 51, 0.2);
}

.art-head + .page {
    padding-top: 10px;
}

.art-head iframe {
    margin-top: 100px;
    width: 80%;
}

/* Modele card */
.card-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 40px;
    align-items: stretch;
}

.card {
    display: flex;
    flex-direction: column;
    width: 250px;
    background-color: #fbfbfb;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
    margin: 20px;
}

.card-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    padding: 16px;
}

.card-content h3 {
    font-size: 16px;
    letter-spacing: -1px;
    text-align: left;
    margin-bottom: 10px;
}

.card-content p {
    flex-grow: 1;
    color: #666;
    font-size: 14px;
    line-height: 1.3;
    text-align: left;
    hyphens: auto;
    margin-bottom: 10px;
}

.card-content .button {
    margin-top: auto;
    display: inline-block;
    padding: 8px 15px;
    background-color: #272b34;
    text-decoration: none;
    text-align: center;
    border-radius: 4px;
    color: #ffffff;
}

/* Formulaires */
form {
    max-width: 900px;
    margin: 100px auto 0 auto;
    padding: 20px;
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
}


/* Le code */
:not(pre)>code[class*=language-],
pre{
  border-radius: 10px
}

pre[class*="language-"] {
    background-color: #000 !important;
}


/* le code SPIP */
.spip_code,
.spip_code_inline{
    background-color: #ececec;
    color: #000;
}

@media screen and (max-width: 900px){
    form {
        margin: 100px 15px;
    }
}

.editer-label {
    font-size: 16px;
    display: block;
    margin-bottom: 5px;
}

#champ_email_1,
#champ_input_1,
#champ_textarea_1 {
    padding-block: 10px;
    font-size: 18px;
    width: 100%;
    min-width: 200px;
    border: 1px solid rgba(51,51,51, 0.75);
}

button.submit {
    padding: 10px 35px;
    font-size: 20px;
    margin-top: 25px;
    background: #272b34;
    color: #ffffff;
    cursor: pointer;
    border-radius: 5px;
    border: none;
}

#formidable_contactfr__email_1,
#formidable_contactfr__input_1,
#formidable_contactfr__textarea_1,
#formidable_contacten_input_1,
#formidable_contacten_email_1,
#formidable_contacten_textarea_1 {
    width: 100%;
}

button.submit:hover {
    color: #ffffff;
    background: #5a6c82;
}

.message_retour_defaut p {
    text-align: center;
}

.noajax {
    width: 90%;
    margin: 0 auto;
}

p.date {
    text-align: left;
    font-size: 12px;
    margin-top: 15px;
}

/* MODELE MEDECINE */
.content-medecine{
  width: 100%;
  margin: 50px 0;
  height: auto;
  display: flex;
  justify-content: center
}
.bloc-medecine {
    width: 65%;
    text-align: center;
    padding: 10px;
    border: 1px solid #a8a6a6;
    border-radius: 5px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
    background-color: #fbfbfb;
}

.bloc-medecine h3 {
    margin-bottom: 15px;
    font-size: 16px;
    text-transform: uppercase;
}

span.sous-titre {
    font-weight: normal;
    text-transform: capitalize;
    font-style: italic;
    font-size: 16px;
}
i.fa-globe{
  color: green
}
i.fa-facebook{
  color: #3B5998
}
i.fa-instagram{
  color: #C32AA3
}
i.fa-youtube{
  color: #FF0000
}
i.fa-twitter{
  color: #1DA1F2
}

/* Bloc recherche sur le site */

.act-recherche form{
  margin: 0
}
.act-recherche #form-recherche{
  margin: 0 auto
}
.act-recherche input#recherche{
  width: 100%;
  border: none;
  text-align: center
}
div.ui-menu-item-wrapper{
  text-align: center
}
input#recherche{
outline: none
}
input:focus::placeholder {
  color: transparent;
}



/* Modele Ancres */
.toc-list a:hover{
  background-color: transparent
}
/* 
.toc-container{
  background-color: #f1f1f1;
  border: 1px solid #333;
  border-radius: 10px;
  padding: 5px;
  margin-bottom: 20px
}
.toc-title{
  font-weight: bold
} */

/* Modele alert */
.mes-alert p{
  color: #dc2626;
  text-align: center;
  font-weight: bold;
  font-size: 15px;
  margin: 1.5em 0;
}









/* Responsive */
@media (max-width: 700px) {
    nav {
        padding: 15px 20px;
        position: relative;
    }

    .nav-icon {
        order: 2;
        margin: 0 auto;
    }

    .nav-icon span {
        font-size: 22px;
    }

    .main-navlinks {
        order: 1;
    }

    /*Hamburger*/
    .hamburger {
        width: 20px;
        height: 20px;
        cursor: pointer;
        border: none;
        display: flex;
        background: #000;
        align-items: center;
        position: relative;
    }

    .hamburger span {
        display: block;
        width: 100%;
        height: 2px;
        background: #ffffff;
        position: absolute;
        pointer-events: none;
        transition: opacity 0.3s 0.15s ease-out;
    }

    .hamburger span:nth-child(1),
    .hamburger span:nth-child(3) {
        transition: transform 0.3s ease-out;
    }

    .hamburger span:nth-child(1) {
        transform: translateY(7px);
    }

    .hamburger span:nth-child(3) {
        transform: translateY(-7px);
    }

    .hamburger.open span:nth-child(1) {
        transform: translate(0) rotate(135deg);
    }

    .hamburger.open span:nth-child(2) {
        opacity: 0;
        transition: opacity 0s ease-out;
    }

    .hamburger.open span:nth-child(3) {
        transform: translate(0) rotate(-135deg);
    }

    .navlinks-container {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        position: absolute;
        background: #fafafa;
        top: 100%;
        left: 0;
        height: 100vh;
        padding: 15px 50px 15px 20px;
        border-right: 1px solid #c5c5c6;
        transform: translate(-100%);
    }

    .navlinks-container a {
        font-size: 18px;
        margin: 10px 0;
        color: #000000 !important;
    }

    .open {
        transform: translate(0%);
    }

    .nav-authentication {
        order: 3;
        margin-left: 0;
    }

    .sign-btns {
        display: none;
    }

    .sign-user {
        display: block;
        cursor: pointer;
        border: none;
        font-size: 10px;
    }

    .page {
        padding: 10px 30px;
        width: 100%;
    }

    .page h1 {
        font-size: 20px;
        line-height: 20px;
    }

    .page p,
    ol.spip li,
    ul.spip li {
        font-size: 15px;
        line-height: 22px;
    }

    .page h2.spip {
        text-align: left;
        font-size: 22px;
    }

    .art-head {
        margin-bottom: 10px;
    }

    .art-head iframe {
        margin-top: 30px;
        width: 80%;
    }

    .chapo p {
        line-height: 21px;
    }

    p.date {
        text-align: left;
        font-size: 12px;
        margin-top: 15px;
    }
}

@media (max-width: 500px) {
    .nav-icon img {
        width: 40px;
        height: 40px;
    }

    .nav-icon span {
        font-size: 20px;
    }

    .page {
        padding: 10px 20px;
        width: 100%;
    }

    .chapo p {
        line-height: 20px;
    }

    iframe {
        width: 100%;
    }
    .bloc-medecine {
    width: auto;
    }
}
